Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | Public Member Functions | List of all members
ranges::aux::copy_fn Struct Reference
Inheritance diagram for ranges::aux::copy_fn:

## Friends
template<typename T >
constexpr friend auto | operator| (T &&t, copy_fn) -> detail::decay_t< T >

## Public Member Functions
template<typename T >
constexpr auto | operator() (T &&t) const -> detail::decay_t< T >

## Member Function Documentation

## ◆ operator()()

template<typename T >

constexpr auto ranges::aux::copy_fn::operator() | ( | T && | t | ) | const -> detail::decay_t<T>
| constexpr

Precondition
  requires `constructible_from<detail::decay_t<T>, T>`